import pandas as pd
import pyarrow as pa
import pyarrow.parquet as pq

# Get the filenames
file_path = input ("Give the name of the csv file (without the extention): ")
csv_file_path = file_path+".csv"
parquet_file_path = file_path+".parquet"

# Use pandas to read the CSV file into a DataFrame
df = pd.read_csv(csv_file_path)

# Convert the DataFrame to a Parquet format using pyarrow
table = pa.Table.from_pandas(df)

# Save the Parquet file
pq.write_table(table, parquet_file_path)